#	Descrip.mms for OpenVMS MMS (or MMK)
#
#	Build file for GD (v1.8.4) on OpenVMS/Alpha using Compaq's MMS (DECset)
#	or the free MadGoat MMK clone.
#
#	Written by: Rick Dyson (rick-dyson@uiowa.edu)  7-APR-2000
#       Modified:   24-OCT-2001 RLD for v1.8.4 and LibPNG v1.2.0
#                   13-MAR-2002 RLD Updated for ZLib v1.1.4
#
#	This was crudely put together to work with the required JPEG, Z,
#	and PNG libraries in adjacent locations.  If you have them elsewhere, 
#	you need to change the logical name pointers below.

OPTIMIZE = /Optimize
DEBUG = /NoDebug
DEFS = /Define = (HAVE_LIBJPEG, HAVE_LIBPNG)
INCS = /Include = ([], LibJPEG:, LibPNG:, LibZ:)

CFLAGS = $(CFLAGS) $(OPTIMIZE) $(DEBUG) $(DEFS) $(INCS) /Prefix = All /Names = As_Is
LINKFLAGS = $(LINKFLAGS) $(DEBUG)

.first 
	@ If (F$TrnLnm ("LibJPEG") .eqs. "") Then Define LibJPEG Sys$Disk:[-.JPEG-6b]
	@ If (F$TrnLnm ("LibPNG") .eqs. "")  Then Define LibPNG  Sys$Disk:[-.LibPNG-1_2_0]
	@ If (F$TrnLnm ("LibZ") .eqs. "")    Then Define LibZ    Sys$Disk:[-.ZLib-1_1_4]

lib :	libgd.olb
	@ Write Sys$Output "LibGD build complete..."

libgd.olb :	gd.obj gd_gd.obj gd_gd2.obj gd_io.obj gd_io_dp.obj \
		gd_io_file.obj gd_ss.obj gd_io_ss.obj gd_png.obj gd_jpeg.obj \
		gdxpm.obj gdfontt.obj gdfonts.obj gdfontmb.obj gdfontl.obj \
		gdfontg.obj gdtables.obj gdft.obj gdttf.obj gdcache.obj gdkanji.obj \
                wbmp.obj gd_wbmp.obj gdhelpers.obj
	@ Library /Create $* $+

gdkanji.obj :	gdkanji.c
	$(CC) $(CFLAGS) /NoWarnings $*

gdcache.obj :	gdcache.c
	$(CC) $(CFLAGS) /NoWarnings $*

gd_jpeg.obj :	gd_jpeg.c
	$(CC) $(CFLAGS) /Warnings = NoInformationals $*

clean :
	- Purge /NoLog /NoConfirm *.mms, *.obj, *.olb

clobber :	clean
	- Delete /NoLog /NoConfirm *.obj;,*.olb;
